.App {
  text-align: center;
}

.AppLogo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .AppLogo {
    animation: AppLogoSpin infinite 20s linear;
  }
}

.AppHeader {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: flex-start;
  font-size: calc(10px + 2vmin);
  color: white;
}

.AppLink {
  color: #61dafb;
}

@keyframes AppLogoSpin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.banner {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  top: 0;
  /*margin-top: 15px;*/
  padding-top: 20px;
  padding-bottom: 35px;
  position: sticky;
  background-color: #282c34;
}

.bannerMainProxy {
  background-color: #282c34;
  flex-grow: 0.5;
}

.bannerMain {
  color: lightsteelblue;
  font-size: 35px;
  font-family: cursive, Сomic Sans MS;
  text-decoration: none !important;
}

.bannerMain:hover {
  color: white;
  transition: color 0.5s linear;
}

.buttonContainer{
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  align-self: center;
  flex-grow: 1;
}

.buttonCustom {
  background-color: #282c34;
  color: lightsteelblue;
  font-size: 24px;
  font-family: cursive, Сomic Sans MS;
  text-decoration: none !important;
}

.buttonCustom:hover {
  color: white;
  transition: color 0.5s linear;
}

.blockLoginRegister {
  display: flex;
  justify-content: right;
  align-items: center;
}

.buttonLR {
  padding: 5px 15px;
  margin-top: 10px;
  margin-right: 15px;
  border-radius: 7px;
}

.login{
  background-color: #B7D0EF;
  color: #2A5791;
}

.login:hover {
  background-color: #395F90;
}
.register {
  background-color: #FFE6BD;
  color: #A6772C;

}

.register:hover {
  background-color: #A67F40;
}

.dropdownUser {
  position: relative;
  display: inline-block;
}

.dropdownContentUser {
  display: none;
  position: absolute;
  background-color: transparent;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  border-radius: 15px;
  padding: 12px 16px;
  z-index: 1;
  left: 50% !important;
  right: auto !important;
  text-align: center !important;
  transform: translate(-50%, 0) !important;
  font-size: 16px;
}

.dropdownUser:hover .dropdownContentUser {
  display: block;
}



